curl -X POST "https://api.scanova.io/qr-assets/business-card-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"template_id": "bct-blue-01",
"name": "Blue Card",
"info": "John Doe\nCEO",
"color": "{\"primary\":\"#0033ff\"}",
"font": "Roboto"
}'
{
"id": 8,
"template_id": "bct-blue-01",
"name": "Blue Card",
"info": "John Doe\nCEO",
"color": "{\"primary\":\"#0033ff\"}",
"font": "Roboto",
"background_img": null
}
QR 资源
创建名片模板
POST /qr-assets/business-card-template/
POST
/
qr-assets
/
business-card-template
/
curl -X POST "https://api.scanova.io/qr-assets/business-card-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"template_id": "bct-blue-01",
"name": "Blue Card",
"info": "John Doe\nCEO",
"color": "{\"primary\":\"#0033ff\"}",
"font": "Roboto"
}'
{
"id": 8,
"template_id": "bct-blue-01",
"name": "Blue Card",
"info": "John Doe\nCEO",
"color": "{\"primary\":\"#0033ff\"}",
"font": "Roboto",
"background_img": null
}
在 Management API 主机(
如果账户缺少
api.scanova.io)上保存一个新的名片模板,使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/qr-assets/business-card-template/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
必填
模板名称,最多 150 个字符。
string
此模板预填充的 vCard/名片数据。
string
设计颜色数据,通常以 JSON 字符串编码。
string
字体名称。
curl -X POST "https://api.scanova.io/qr-assets/business-card-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"template_id": "bct-blue-01",
"name": "Blue Card",
"info": "John Doe\nCEO",
"color": "{\"primary\":\"#0033ff\"}",
"font": "Roboto"
}'
{
"id": 8,
"template_id": "bct-blue-01",
"name": "Blue Card",
"info": "John Doe\nCEO",
"color": "{\"primary\":\"#0033ff\"}",
"font": "Roboto",
"background_img": null
}
SAVE_DESIGN_TEMPLATE 配额、套餐不活跃,或缺少 QR_CODE_CAN_ADD/QR_CODE_CAN_EDIT 权限,则返回 403。
相关内容
- 列出名片模板——查看已保存的模板。
- 更新名片模板——编辑现有模板。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
201 - application/json
Template created.
此页面对您有帮助吗?